summaryrefslogtreecommitdiff
path: root/test/setup_env.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/setup_env.sh')
-rwxr-xr-xtest/setup_env.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/test/setup_env.sh b/test/setup_env.sh
index faa8c8b..9f3a3fd 100755
--- a/test/setup_env.sh
+++ b/test/setup_env.sh
@@ -12,7 +12,11 @@ builddir=${builddir:-${srcdir}}
export LD_LIBRARY_PATH=${top_builddir}/src/libeinfo:${top_builddir}/src/librc:${LD_LIBRARY_PATH}
export PATH=${top_builddir}/src/rc:${PATH}
-if ! . ${top_srcdir}/sh/functions.sh; then
+
+if [ ! -f ${top_srcdir}/sh/functions.sh ] ; then
+ echo "functions.sh not yet created !?" 1>&2
+ exit 1
+elif ! . ${top_srcdir}/sh/functions.sh; then
echo "Sourcing functions.sh failed !?" 1>&2
exit 1
fi